i-ls(1)

NAME
i-ls - display file stat and checksum information for files

SYNOPSIS
i-ls [-s] filename

i-ls [-s] dirname

Specify a filename for i-ls to examine, or specify a directory with dirname to examine all the files in the directory.

-s

    Do not show/calculate checksums for all regular files.

DESCRIPTION
The integrit system detects intrusion by detecting when trusted files have been altered.

integrit records information about files in a database. i-ls allows the user to see that information for live files.

The output syntax is the same as that of integrit.

EXAMPLES

     i-ls /tmp/foo.txt

shows file stat attributes for the file, "/tmp/foo.txt".

     i-ls /tmp

shows file stat attributes for all files in the directory, "/tmp".

     i-ls -s /tmp

shows file stat attributes for all files in the directory, "/tmp", also including also checksums for all regular files.

AUTHOR

Ed L Cashin <ecashin@users.sourceforge.net>

See the integrit web site for up to date releases and information at

    http://integrit.sourceforge.net/

SEE ALSO
Integrit File Verification System Manual (info), lstat(2)